include: 'https://gitlab.com/nomadic-labs/gitlab-ocaml-ci-example/-/raw/main/.gitlab-ci.yml'

.build-matrix:
  parallel:
    matrix:
    - OCAML_COMPILER: "4.10.2"
    - OCAML_COMPILER: "4.11.2"
    - OCAML_COMPILER: "4.12.1"
    - OCAML_COMPILER: "4.13.1"
    - OCAML_COMPILER: "4.14.0"

variables:
  CLEAN_OPAM_CACHE: "false"
  CLEAN_DUNE_CACHE: "false"
  DUNE_BUILD_TARGETS: "@src/all"
  DUNE_TEST_TARGETS: "@fmt @runtest"
  DUNE_DOC_TARGETS: "@doc"
